Debian Bug report logs - #644145
dokuwiki: Oldstable update patch incomplete: Fatal error: Call to undefined function getSchemes()

version graph

Package: dokuwiki; Maintainer for dokuwiki is Tanguy Ortolo <tanguy+debian@ortolo.eu>; Source for dokuwiki is src:dokuwiki.

Reported by: Axel Beckert <beckert@phys.ethz.ch>

Date: Mon, 3 Oct 2011 10:27:01 UTC

Severity: grave

Found in version 0.0.20080505-4+lenny3

Fixed in version dokuwiki/0.0.20080505-4+lenny4

Done: Tanguy Ortolo <tanguy+debian@ortolo.eu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, beckert@phys.ethz.ch, Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug#644145; Package dokuwiki. (Mon, 03 Oct 2011 10:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <beckert@phys.ethz.ch>:
New Bug report received and forwarded. Copy sent to beckert@phys.ethz.ch, Tanguy Ortolo <tanguy+debian@ortolo.eu>. (Mon, 03 Oct 2011 10:27:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Axel Beckert <beckert@phys.ethz.ch>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dokuwiki: Oldstable update patch incomplete: Fatal error: Call to undefined function getSchemes()
Date: Mon, 3 Oct 2011 12:14:09 +0200 (CEST)
Package: dokuwiki
Version: 0.0.20080505-4+lenny3
Severity: grave

Hi Tanguy,

the backported patch in the oldstable update for DokuWiki is
incomplete and contains a reference to a function getSchemes which is
not yet existent in the oldstable version of DokuWiki.

Hence all wiki pages with an external link in it now bail out with the
following error message:

Fatal error: Call to undefined function getSchemes() in /usr/share/dokuwiki/inc/parser/xhtml.php on line 547

-- System Information:
Debian Release: 5.0.9
  APT prefers oldstable
  APT policy: (500, 'oldstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-xen-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages dokuwiki depends on:
ii  debconf [debconf- 1.5.24                 Debian configuration management sy
ii  php-geshi         1.0.7.22-1+lenny1      Generic Syntax Highlighter
ii  php5              5.2.6.dfsg.1-1+lenny13 server-side, HTML-embedded scripti
ii  ucf               3.0016                 Update Configuration File: preserv

Versions of packages dokuwiki recommends:
ii  php5-cli          5.2.6.dfsg.1-1+lenny13 command-line interpreter for the p
ii  php5-gd           5.2.6.dfsg.1-1+lenny13 GD module for php5

dokuwiki suggests no packages.

-- debconf information:
* dokuwiki/system/documentroot: /wiki
* dokuwiki/system/accessible: global
  dokuwiki/system/localnet: 10.0.0.0/24
* dokuwiki/webservers: apache2
* dokuwiki/system/purgepages: false




Information forwarded to debian-bugs-dist@lists.debian.org, Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug#644145; Package dokuwiki. (Mon, 03 Oct 2011 10:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>. (Mon, 03 Oct 2011 10:45:09 GMT) Full text and rfc822 format available.

Message #10 received at 644145@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 644145@bugs.debian.org
Subject: Temporary workaround for Bug#644145: dokuwiki: Oldstable update patch incomplete: Fatal error: Call to undefined function getSchemes()
Date: Mon, 3 Oct 2011 12:35:21 +0200
Hi,

following a temporary workaround for all who run into this problem,
too:

Axel Beckert wrote:
> Package: dokuwiki
> Version: 0.0.20080505-4+lenny3

Downgrading to 0.0.20080505-4+lenny2 from
http://snapshot.debian.org/package/dokuwiki/0.0.20080505-4%2Blenny2/#dokuwiki_0.0.20080505-4:2b:lenny2
helps for now.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#644145; Package dokuwiki. (Mon, 03 Oct 2011 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Extra info received and forwarded to list. (Mon, 03 Oct 2011 19:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 644145@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: Axel Beckert <beckert@phys.ethz.ch>, 644145@bugs.debian.org
Cc: Nicolas Thouvenin <nthouvenin@gmail.com>
Subject: Re: Bug#644145: dokuwiki: Oldstable update patch incomplete: Fatal error: Call to undefined function getSchemes()
Date: Mon, 3 Oct 2011 21:12:08 +0200
[Message part 1 (text/plain, inline)]
Axel Beckert, 2011-10-03 12:14 UTC+0200:
> the backported patch in the oldstable update for DokuWiki is
> incomplete and contains a reference to a function getSchemes which is
> not yet existent in the oldstable version of DokuWiki.

Yes indeed, shame on me for not having detected that! Here is an updated
package if you want to try it before I ask for an update in oldstable.

http://tanguy.ortolo.eu/deb/dokuwiki/dokuwiki_0.0.20080505-4+lenny4_all.deb

Librement,

-- 
 ,--.
: /` )   Tanguy Ortolo <xmpp:tanguy@ortolo.eu> <irc://irc.oftc.net/Elessar>
| `-'    Debian Maintainer
 \_

PS: Nicolas, you may want to subscribe to this bug report since it is
    affecting you as well.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug#644145; Package dokuwiki. (Tue, 04 Oct 2011 08:18:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to theo <debianbts@theocrite.org>:
Extra info received and forwarded to list. Copy sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>. (Tue, 04 Oct 2011 08:18:25 GMT) Full text and rfc822 format available.

Message #20 received at 644145@bugs.debian.org (full text, mbox):

From: theo <debianbts@theocrite.org>
To: Debian Bug Tracking System <644145@bugs.debian.org>
Subject: Re: Bug#644145: dokuwiki: Oldstable update patch incomplete
Date: Tue, 04 Oct 2011 10:10:23 +0200
Package: dokuwiki
Version: 0.0.20080505-4+lenny3
Followup-For: Bug #644145


Hello,

We had the same problem.


In odrder to make it work agagin, we just downloaded the last source
version and patched /usr/share/dokuwiki/inc/confutils.php to implement
the 2 missing functions (getSchemes & retrieveConfig).

Here is the diff:
diff --git a/confutils.php b/confutils.php
index c18b92a..680f144 100644
--- a/confutils.php
+++ b/confutils.php
@@ -132,6 +132,18 @@ function getWordblocks() {
 }


+function getSchemes() {
+    static $schemes = null;
+    if ( !$schemes ) {
+        $schemes = retrieveConfig('scheme','file');
+    }
+    $schemes = array_map('trim', $schemes);
+    $schemes = preg_replace('/^#.*/', '', $schemes);
+    $schemes = array_filter($schemes);
+    return $schemes;
+}
+
+
 /**
  * Builds a hash from a configfile
  *
@@ -165,6 +177,36 @@ function confToHash($file,$lower=false) {
 }

 /**
+ * Retrieve the requested configuration information
+ *
+ * @author Chris Smith <chris@jalakai.co.uk>
+ *
+ * @param  string   $type     the configuration settings to be read,
must correspond to a key/array in $config_cascade
+ * @param  callback $fn       the function used to process the
configuration file into an array
+ * @param  array    $param    optional additional params to pass to the
callback
+ * @return array    configuration values
+ */
+function retrieveConfig($type,$fn,$params=null) {
+    global $config_cascade;
+
+    if(!is_array($params)) $params = array();
+
+    $combined = array();
+    if (!is_array($config_cascade[$type])) trigger_error('Missing
config cascade for "'.$type.'"',E_USER_WARNING);
+    foreach (array('default','local','protected') as $config_group) {
+        if (empty($config_cascade[$type][$config_group])) continue;
+        foreach ($config_cascade[$type][$config_group] as $file) {
+            if (@file_exists($file)) {
+                $config =
call_user_func_array($fn,array_merge(array($file),$params));
+                $combined = array_merge($combined, $config);
+            }
+        }
+    }
+
+    return $combined;
+}
+
+/**
  * check if the given action was disabled in config
  *
  * @author Andreas Gohr <andi@splitbrain.org>


I just tested the -lenny4 version and it works too.

Thanks.




Information forwarded to debian-bugs-dist@lists.debian.org, Tanguy Ortolo <tanguy+debian@ortolo.eu>:
Bug#644145; Package dokuwiki. (Tue, 04 Oct 2011 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>. (Tue, 04 Oct 2011 10:09:05 GMT) Full text and rfc822 format available.

Message #25 received at 644145@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Cc: 644145@bugs.debian.org, Nicolas Thouvenin <nthouvenin@gmail.com>
Subject: Re: Bug#644145: dokuwiki: Oldstable update patch incomplete: Fatal error: Call to undefined function getSchemes()
Date: Tue, 4 Oct 2011 12:05:13 +0200
Hi Tanguy,

Tanguy Ortolo wrote:
> Axel Beckert, 2011-10-03 12:14 UTC+0200:
> > the backported patch in the oldstable update for DokuWiki is
> > incomplete and contains a reference to a function getSchemes which is
> > not yet existent in the oldstable version of DokuWiki.
> 
> Yes indeed, shame on me for not having detected that! Here is an updated
> package if you want to try it before I ask for an update in oldstable.
> 
> http://tanguy.ortolo.eu/deb/dokuwiki/dokuwiki_0.0.20080505-4+lenny4_all.deb

Thanks for the prompt fix. The package mentioned above works fine in
our setup.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5




Added indication that 644145 affects release.debian.org Request was from Julien Cristau <julien.cristau@logilab.fr> to control@bugs.debian.org. (Tue, 04 Oct 2011 10:18:18 GMT) Full text and rfc822 format available.

Reply sent to Tanguy Ortolo <tanguy+debian@ortolo.eu>:
You have taken responsibility. (Tue, 11 Oct 2011 01:57:06 GMT) Full text and rfc822 format available.

Notification sent to Axel Beckert <beckert@phys.ethz.ch>:
Bug acknowledged by developer. (Tue, 11 Oct 2011 01:57:06 GMT) Full text and rfc822 format available.

Message #32 received at 644145-close@bugs.debian.org (full text, mbox):

From: Tanguy Ortolo <tanguy+debian@ortolo.eu>
To: 644145-close@bugs.debian.org
Subject: Bug#644145: fixed in dokuwiki 0.0.20080505-4+lenny4
Date: Tue, 11 Oct 2011 01:54:47 +0000
Source: dokuwiki
Source-Version: 0.0.20080505-4+lenny4

We believe that the bug you reported is fixed in the latest version of
dokuwiki, which is due to be installed in the Debian FTP archive:

dokuwiki_0.0.20080505-4+lenny4.diff.gz
  to main/d/dokuwiki/dokuwiki_0.0.20080505-4+lenny4.diff.gz
dokuwiki_0.0.20080505-4+lenny4.dsc
  to main/d/dokuwiki/dokuwiki_0.0.20080505-4+lenny4.dsc
dokuwiki_0.0.20080505-4+lenny4_all.deb
  to main/d/dokuwiki/dokuwiki_0.0.20080505-4+lenny4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 644145@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tanguy Ortolo <tanguy+debian@ortolo.eu> (supplier of updated dokuwiki package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 06 Oct 2011 21:03:07 +0200
Source: dokuwiki
Binary: dokuwiki
Architecture: source all
Version: 0.0.20080505-4+lenny4
Distribution: oldstable-security
Urgency: low
Maintainer: Mohammed Adnène Trojette <adn+deb@diwi.org>
Changed-By: Tanguy Ortolo <tanguy+debian@ortolo.eu>
Description: 
 dokuwiki   - standards compliant simple to use wiki
Closes: 644145
Changes: 
 dokuwiki (0.0.20080505-4+lenny4) oldstable-security; urgency=low
 .
   * debian/patches/rss_security.diff: avoid calling an undefined function.
     (Closes: #644145)
Checksums-Sha1: 
 303c7ed5038f948d2963265a4f1b89d62d10ba70 1396 dokuwiki_0.0.20080505-4+lenny4.dsc
 66eee812eb8c03d7c412d8d8b9f585651bf176ad 36274 dokuwiki_0.0.20080505-4+lenny4.diff.gz
 7f24587a1b6583fcc5385930d7e3a39c3e82ac97 1478984 dokuwiki_0.0.20080505-4+lenny4_all.deb
Checksums-Sha256: 
 f120f10460c4203ce4bdb18d68d5c87f34fb940578ddda72a576e412fa7eec92 1396 dokuwiki_0.0.20080505-4+lenny4.dsc
 9d833796657a4171c5fc4f3494598bec0443e9a12d4023d91dd34a6f6b4b2705 36274 dokuwiki_0.0.20080505-4+lenny4.diff.gz
 7d2c19929eb4c52a4984bd5215ab55040c8f30d5e85ecf057ed500e1fca32d37 1478984 dokuwiki_0.0.20080505-4+lenny4_all.deb
Files: 
 86cc4effc547cebee951be21360da767 1396 web optional dokuwiki_0.0.20080505-4+lenny4.dsc
 19c42b683b2f947831f6a11e616660da 36274 web optional dokuwiki_0.0.20080505-4+lenny4.diff.gz
 63f85435ea5afb4ea7d704dce0e791cf 1478984 web optional dokuwiki_0.0.20080505-4+lenny4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBAgAGBQJOkExGAAoJEOxfUAG2iX57mMAIAL4mkZJDk+d4P+7i1w3Lr4rb
1bQVHN/aPXrEES6FzJUAQ7kIgt7e7NWOX72lnBTzJE2rUZD+UZ2vx0PCpXDapGVf
/xsWftmxBxZ2v9wBiXhS1T+FFE3zMFjdtsdO1dPaeH4ENMKLrczWfruSZxcnR8F2
by8RZYYvRPf+U6u5h0wpExM9RThc34gb5w3lwXCcGQ5xEgeRIHjKhbt21IpyPub+
YdqHv6cuPaT85g/fpor5L1C9ntFRe8ER2Hnk8w+D5zsmJpVVLZrdCc2Vhdg+4vY3
Ml8243MJHd83jPpOTrW/b+skyTiNvq+2g/rLV4TWp4P7Xip5/KzUV4Yn/QIdGJY=
=i1iP
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 08 Nov 2011 07:33:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:40:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.